<?php

// $data is an array
function post_data($url, $data)
{
	$ch = curl_init();
	curl_setopt($ch, CURLOPT_URL, $url);
	curl_setopt($ch, CURLOPT_HEADER, 0);
	curl_setopt($ch, CURLOPT_POST, 1);
	curl_setopt($ch, CURLOPT_RETURNTRANSFER, TRUE); 
	curl_setopt($ch, CURLOPT_POSTFIELDS, $data);
	$ret = curl_exec($ch);
	curl_close($ch);
	return $ret;
}


// return NULL if decode failed
function submit_captcha($key, $img_file_name,$task_id)
{

	// read image data of image
	$fp = fopen($img_file_name, "rb");
	if(!$fp) return NULL;
	$file_size = filesize($img_file_name);
	if($file_size <= 0) return NULL;
	$data = fread($fp, $file_size);
	fclose($fp);

	// use base64 encoding to encode it
	$enc_data = base64_encode($data);

	// submit it to server

	$data = post_data("http://api.captchacoder.com/imagepost.ashx",
			array( "action" => "upload","key" => $key, "file" => $enc_data, 
						"gen_task_id" => $task_id));
	
	return $data;
}

// If you your captcha is not right you can claim for refund
function submit_feedback($key, $task_id)
{


	post_data("http://api.captchacoder.com/imagepost.ashx",
			array( "key" => $key, "gen_task_id" => $task_id,						
						"action" => "refund"));
}

// get balance
function getBalance($key)
{
	$ret = post_data("http://api.captchacoder.com/imagepost.ashx",			
		array( "key" => $key,"action" => "balance" ));

	return $ret;
}

